View Issue Details

IDProjectCategoryView StatusLast Update
0001012contextbug reportpublic2019-09-09 13:42
ReporteremojifreakAssigned ToHans Hagen 
PrioritynoneSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001012: Incorrect color of some emoji glyphs
DescriptionSome glyphs in TwemojiMozilla.ttf version 0.40 from https://github.com/mozilla/twemoji-colr/releases
are rendered in incorrect color. For example, the following file generates the attached PDF. The broken heart should appear in all red.

\definefontfeature
  [overlay]
  [default]
  [ccmp=yes,
   colr=yes,
   dist=yes]

\definefontsynonym
  [emoji]
  [file:TwemojiMozilla.ttf*overlay]

\starttext

\emoji{broken heart}

\stoptext

The context version is

mtx-context | ConTeXt Process Management 1.02
mtx-context |
mtx-context | main context file: /usr/local/texlive/2019/texmf-dist/tex/context/base/mkiv/context.mkiv
mtx-context | current version: 2019.03.21 21:39
Steps To ReproduceUse context to the above file to generate a PDF file.
Tagsemoji

Activities

emojifreak

2019-09-07 05:44

reporter  

twemoji-mozilla2.pdf (8,417 bytes)

Hans Hagen

2019-09-09 13:42

manager   ~0001716

fixed in next beta but the font seems bad anyway (no proper boundingboxes so no height and depth known)

Issue History

Date Modified Username Field Change
2019-09-07 05:44 emojifreak New Issue
2019-09-07 05:44 emojifreak Tag Attached: emoji
2019-09-07 05:44 emojifreak File Added: twemoji-mozilla2.pdf
2019-09-09 13:42 Hans Hagen Note Added: 0001716
2019-09-09 13:42 Hans Hagen Assigned To => Hans Hagen
2019-09-09 13:42 Hans Hagen Status new => resolved
2019-09-09 13:42 Hans Hagen Resolution open => fixed